using System;
using System.ComponentModel.DataAnnotations;

namespace GestionIntegral.Api.Dtos.Distribucion
{
  public class CreateCambioParadaDto
  {
    // IdCanilla vendrá de la ruta
    [Required(ErrorMessage = "La nueva dirección de parada es obligatoria.")]
    [StringLength(150)]
    public string Parada { get; set; } = string.Empty;

    [Required(ErrorMessage = "La fecha de Vigencia Desde es obligatoria.")]
    public DateTime VigenciaD { get; set; }
  }
}